Subject: Problems building Octave 2.1.10 with b20
From: [email-masked] (William D Kirby)

10 Nov 1998 12:02:48 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>
Cc: "Eaton, John W." <[email-masked]>

I have been trying to build GNU Octave development version 2.1.10 using
cygwin b20. When I executed it I get the error message "Fatal: invalid
password object".

John Eaton sent me the following test program which compiled fine, but
outputted nothing when executed.

#include <stdio.h>
#include <sys/types.h>
#include <pwd.h>

int
main (void)
{
  struct passwd *pw = getpwuid (getuid ());

  printf ("name:   %s\n", pw->pw_name);
  printf ("passwd: %s\n", pw->pw_passwd);
  printf ("uid:    %d\n", pw->pw_uid);
  printf ("gid:    %d\n", pw->pw_gid);
  printf ("gecos:  %s\n", pw->pw_gecos);
  printf ("dir:    %s\n", pw->pw_dir);
  printf ("shell:  %s\n", pw->pw_shell);

  return 0;
}

Then I tried a simpler program than above which produced an error.

int
main (void)
{

 printf ("hello\n");
 printf ("%s\n",getuid ());

  return 0;
}

The error message was an Exception: STATUS_ACCESS_VIOLATION

I do not use passwords for running bash, and etc.

My O/S is Windows NT 4.0 SP3

What do I have to do get these programs to work?

Bill

--
William D. Kirby             Voice: (703) 273-0005
Consultant                   Email: [email-masked]
3527 Cornell Road
Fairfax, VA 22030-1813

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".